Bug 35883 - Use template wrapper for accordions: Table settings administration
Summary: Use template wrapper for accordions: Table settings administration
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Julian Maurice
URL:
Keywords:
Depends on: 35877
Blocks: 36592
  Show dependency treegraph
 
Reported: 2024-01-23 19:16 UTC by Owen Leonard
Modified: 2024-04-12 12:07 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 35883: Use template wrapper for accordions: Table settings administration (31.62 KB, patch)
2024-01-24 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35883: Use template wrapper for accordions: Table settings administration (31.56 KB, patch)
2024-02-05 15:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35883: Use template wrapper for accordions: Table settings administration (31.61 KB, patch)
2024-02-05 18:46 UTC, David Nind
Details | Diff | Splinter Review
Bug 35883: Use template wrapper for accordions: Table settings administration (31.67 KB, patch)
2024-03-26 08:34 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2024-01-23 19:16:00 UTC
Building on Bug 35877, this patch will update the table settings administration page to use WRAPPERs to generate the Bootstrap accordion markup.
Comment 1 Owen Leonard 2024-01-24 12:54:31 UTC Comment hidden (obsolete)
Comment 2 David Nind 2024-02-04 22:38:40 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2024-02-05 15:30:12 UTC
Created attachment 161763 [details] [review]
Bug 35883: Use template wrapper for accordions: Table settings administration

This patch updates the table settings administration page so that
Bootstrap accordion markup is generated by WRAPPERs.

This patch also makes some changes to fix the automatic scroll when a
table configuration button was clicked.

To test, apply the patch and go to Administration -> Table settings.

- The list of modules should be displayed as before: Collapsible panels
  where clicking the module name heading expands the corresponding
  panel of settings.
- Test that direct links to configurable tables still work correctly:
  - Go to Administration -> Libraries.
  - Click the "Configure" button at the top of the table of libraries.
  - You should be taken to the table settings page.
    - The "Administration" panel should be expanded by default.
    - You should be scrolled down automatically to the "Libraries"
      table.
Comment 4 David Nind 2024-02-05 18:46:38 UTC
Created attachment 161765 [details] [review]
Bug 35883: Use template wrapper for accordions: Table settings administration

This patch updates the table settings administration page so that
Bootstrap accordion markup is generated by WRAPPERs.

This patch also makes some changes to fix the automatic scroll when a
table configuration button was clicked.

To test, apply the patch and go to Administration -> Table settings.

- The list of modules should be displayed as before: Collapsible panels
  where clicking the module name heading expands the corresponding
  panel of settings.
- Test that direct links to configurable tables still work correctly:
  - Go to Administration -> Libraries.
  - Click the "Configure" button at the top of the table of libraries.
  - You should be taken to the table settings page.
    - The "Administration" panel should be expanded by default.
    - You should be scrolled down automatically to the "Libraries"
      table.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Julian Maurice 2024-03-26 08:34:48 UTC
Created attachment 163889 [details] [review]
Bug 35883: Use template wrapper for accordions: Table settings administration

This patch updates the table settings administration page so that
Bootstrap accordion markup is generated by WRAPPERs.

This patch also makes some changes to fix the automatic scroll when a
table configuration button was clicked.

To test, apply the patch and go to Administration -> Table settings.

- The list of modules should be displayed as before: Collapsible panels
  where clicking the module name heading expands the corresponding
  panel of settings.
- Test that direct links to configurable tables still work correctly:
  - Go to Administration -> Libraries.
  - Click the "Configure" button at the top of the table of libraries.
  - You should be taken to the table settings page.
    - The "Administration" panel should be expanded by default.
    - You should be scrolled down automatically to the "Libraries"
      table.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Katrin Fischer 2024-03-26 10:22:08 UTC
Pushed for 24.05!

Well done everyone, thank you!